package cn.com.countrygarden.bi.main.dao.wcx;


import cn.com.countrygarden.bi.main.dto.wcx.WcxNoticeDto;
import cn.com.countrygarden.bi.main.dto.wcx.WcxNoticeDtoVO;
import cn.com.countrygarden.bi.main.dto.wcx.WcxNoticeVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface WcxNoticeMapper {

    List<WcxNoticeDto> selectPageListWcxNotice(WcxNoticeDto dto);

    Long selectIndexPageWcxNoticeCount(WcxNoticeDto dto);

    int addNotice(WcxNoticeDto wcxNoticeDto);

    WcxNoticeDto selectId(@Param("noticeId") String noticeId);

    int updateReleaseStatus(WcxNoticeDto wcxNoticeDto);

    int updateDelete(WcxNoticeDto wcxNoticeDto);

    WcxNoticeDto check(@Param("noticeId") String noticeId);

    int update(WcxNoticeDto wcxNoticeDto);

    List<WcxNoticeDtoVO> selectPageListWcxNoticeExel(WcxNoticeVO condition);
}
